darcs

Issue 182 wish: darcs show status command

Title wish: darcs show status command
Priority wishlist Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, haas, jaredj, kowey, markstos, thorkilnaur, tommy
Assigned To
Topics ProbablyEasy, UI

Created on 2006-06-04.14:43:23 by haas, last changed 2010-10-24.20:26:03 by noreply.

Messages
msg693 (view) Author: haas Date: 2006-06-04.14:43:19
Subversion (and other RCSs) feature a command to show the status of the files in
the current directory in regard to the repository. Example output from "svn list":

?      foobar
M      config.guess
M      config.sub
A      README

The flags in the left column usually mean something like...

A = added but not yet committed
M = modified compared to the version that is checked in
? = file is not under repository control

Alternatives seem to be "darcs query manifest" and "darcs whatsnew -l" but they
give either an incomplete view or a recursive list of all subdirectories.
msg1887 (view) Author: kowey Date: 2007-07-21.09:26:05
A --not-recursive switch to darcs whatsnew might do the job: darcs whatsnew -s
-l --not-recursive summarises changes, looks for adds, but only in the current
directory.

We could make something like darcs show status an alias for this
msg3154 (view) Author: droundy Date: 2008-02-06.16:21:59
Actually, better than a --not-recursive switch for darcs whatsnew would be to
simply accept filenames (and directory names) as is done with changes, etc.  So
we could just say

darcs whatsnew .

to get changes in the current directory, or

darcs whatsnew foo.c foo.h

to see only foo-related changes.
msg3173 (view) Author: markstos Date: 2008-02-07.04:31:25
> Actually, better than a --not-recursive switch for darcs whatsnew would be to
> simply accept filenames (and directory names) as is done with changes, etc.  So
> we could just say
> 
> darcs whatsnew .

I'm confused: "whatsnew" has accepted file and directory options for a while. 

It seems to me the primary points in this request are the non-recursion, and a
simpler name than 

 darcs whatsnew --look-for-adds --non-recursive --summary .

Having

 "darcs list" 

Would certainly be familiar to SVN users, but for darcs users already used to

 darcs w -ls . 

It would just be noise to have another similar command.

<scratches head> 

I do see the benefit of being able to turn off recursion, which can sometimes
add significantly to hte time required to return a result. 

I think it merits considering adding "darcs list" as an alias for:

 darcs whatsnew --look-for-adds --non-recursive --summary .

My only concern is adding yet-another subcommand. Other opinions? How many
other SCM's have a command like "list" ?
msg12822 (view) Author: noreply Date: 2010-10-24.20:26:02
The following patch sent by Eric Kow <kowey@darcs.net> updated issue issue182 with
status=resolved;resolvedin=2.8.0 HEAD

* Resolve issue182: hidden darcs status alias for darcs whatsnew -ls 
Ignore-this: 9ada08c78ea6e877083b56136ad46fd4
History
Date User Action Args
2006-06-04 14:43:23haascreate
2007-07-21 09:14:53koweysetpriority: wishlist -> feature
nosy: + kowey, beschmi
title: Wishlist: command to show the status of files in the current directory (like "svn status") -> darcs query/list/show status command
2007-07-21 09:26:09koweysetstatus: unread -> unknown
messages: + msg1887
2007-08-09 07:25:06koweysettitle: darcs query/list/show status command -> feature request: darcs show status command
2008-02-06 16:22:04droundysettopic: + Confirmed, ProbablyEasy
nosy: + jaredj
messages: + msg3154
2008-02-07 04:31:27markstossetnosy: + markstos
messages: + msg3173
2008-02-16 19:04:41markstossetpriority: feature -> wishlist
status: unknown -> deferred
title: feature request: darcs show status command -> wish: darcs show status command
nosy: droundy, tommy, beschmi, kowey, markstos, haas, jaredj
2009-08-06 17:50:16adminsetnosy: + jast, Serware, dmitry.kurochkin, darcs-devel, zooko, dagit, mornfall, simon, thorkilnaur, - droundy, haas, jaredj
2009-08-06 20:49:59adminsetnosy: - beschmi
2009-08-10 21:45:37adminsetnosy: + haas, jaredj, - darcs-devel, zooko, jast, dagit, Serware, mornfall
2009-08-11 00:27:14koweysetstatus: deferred -> needs-implementation
nosy: tommy, kowey, markstos, haas, simon, thorkilnaur, jaredj, dmitry.kurochkin
topic: + UI
2009-08-25 18:01:35adminsetnosy: + darcs-devel, - simon
2009-08-27 14:22:32adminsetnosy: tommy, kowey, markstos, darcs-devel, haas, thorkilnaur, jaredj, dmitry.kurochkin
2009-09-07 21:36:06koweysettopic: - Confirmed
nosy: tommy, kowey, markstos, darcs-devel, haas, thorkilnaur, jaredj, dmitry.kurochkin
2010-10-24 20:26:03noreplysetstatus: needs-implementation -> resolved
messages: + msg12822
resolvedin: 2.8.0